#!/bin/bash

#start by initializing the images network
#make a directory for networks
mkdir networks

#initialize the images network
python generate_synth_images.py networks/images

#compile sampling code
cd sampling
make
cd -

for N in 100 200 500 1000 2000 5000 10000
do
    #sample N samples from the images network
    ./sampling/sample_ss networks/images schedule.txt 0 $N

    #learn the structure of the network using these samples
    python main.py networks/images/ schedule.txt 0 $N 0.01 0.1 1000
done

python visualize_images.py networks/images 0.01 0.1
