import sys
import os
from itertools import combinations
from scipy.misc import comb as nChooseK
import numpy as np 

try:
	name = sys.argv[1]
	numvars = int(sys.argv[2])
	order = int(sys.argv[3])
except:
	print "usage write_schedule.py name numvars order"
	sys.exit()

print "writing schedule"
schedule = file(name, 'w')
nlines = sum([nChooseK(numvars,i) for i in xrange(order+1)])
print >> schedule, int(nlines)
for k in xrange(order+1):
    for S in combinations(xrange(numvars), k):
        for z in S:
            print >> schedule, z,
        for _ in xrange(len(S), 4):
            print >> schedule, -1,
        print >>schedule, ""